import { IErrorData } from "../Data/Interfaces.js";
import ContextModel from "../Models/ContextModel.js";
import ControllerModel from "../Models/ControllerModel.js";
import RootModel from "../Models/RootModel.js";
import { BaseView, IBaseViewOptions } from "../Views/BaseView.js";
export interface ILayoutViewBaseOptions extends IBaseViewOptions {
    cssClass?: string;
}
export default class LayoutViewBase extends BaseView {
    constructor(options: ILayoutViewBaseOptions);
    protected get source(): ContextModel;
    protected set source(value: ContextModel);
    protected get cssClass(): string;
    protected get controller(): ControllerModel;
    protected onLoadModel(): void;
    loadModel(model: RootModel): void;
    commit(): void;
    loadErrors(errors?: Array<IErrorData>): void;
    clearErrors(errors?: Array<IErrorData>): void;
}
